Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 766528 - Stabilisation of slotted dev-lang/lua + revdeps on HPPA and S390
Summary: Stabilisation of slotted dev-lang/lua + revdeps on HPPA and S390
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Marek Szuba
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 766561
Blocks:
  Show dependency tree
 
Reported: 2021-01-22 11:30 UTC by Marek Szuba
Modified: 2021-02-09 13:51 UTC (History)
13 users (show)

See Also:
Package list:
=app-eselect/eselect-lua-4-r1 hppa s390 =dev-lang/lua-5.1.5-r106 hppa s390 =dev-lang/lua-5.2.4-r3 hppa s390 =dev-lang/lua-5.3.6-r2 hppa s390 =dev-lang/lua-5.4.2-r1 hppa s390 =app-text/highlight-3.57-r100 hppa s390 =dev-lua/lutok-0.4-r10 hppa s390 =www-servers/lighttpd-1.4.55-r100 s390
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Szuba gentoo-dev 2021-01-22 11:30:34 UTC
Time to start gathering these up...
Comment 1 NATTkA bot gentoo-dev 2021-01-22 13:52:43 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-01-22 13:57:05 UTC Comment hidden (obsolete)
Comment 3 Marek Szuba gentoo-dev 2021-01-22 14:01:37 UTC
OK, looks like we are ready to go. Quick summary:

1. All of these are in a single bug because each arch will have to push it pretty much in one go, otherwise users end up with a lot of dependency conflicts between packages stabilised for slotted lua and those still depending on dev-lang/lua:0. On the plus side, looks like it will be trivial to generate appropriate package
.accept_keywords lists for respective arches from the package list;

2. Cock-ups on my behalf notwithstanding, there should be no "new" stabilisations - i.e. each package should end up with its slotted-lua ebuild stable keywords reflecting what was previously done with unmigrated ebui
lds;

3. If there are multiple slotted-Lua ebuilds available for a package, I have chosen the one for which the co
rresponding unmigrated ebuilds had previously been stabilised;

4. www-servers/nginx has been left out on purpose following the fact whissi was not happy when I migrated th
is package to slotted Lua, leaving it up to him to add it to the list.
Comment 4 NATTkA bot gentoo-dev 2021-01-22 14:08:59 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-01-22 14:13:02 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-01-22 14:36:31 UTC Comment hidden (obsolete)
Comment 7 Marek Szuba gentoo-dev 2021-01-22 14:51:04 UTC
Leaving out arm64 sci-visualization/gnuplot stabilisation until TeX Live has fully been stabilised on that arch.
Comment 8 NATTkA bot gentoo-dev 2021-01-22 14:56:43 UTC Comment hidden (obsolete)
Comment 9 Sam James archtester gentoo-dev Security 2021-01-22 15:20:55 UTC
(In reply to Marek Szuba from comment #7)
> Leaving out arm64 sci-visualization/gnuplot stabilisation until TeX Live has
> fully been stabilised on that arch.

Most of it is stable already modulo some stragglers so please include whatever few packages there are if you can. If it turns out to be a lot, I’ll do a new bug?
Comment 10 Sam James archtester gentoo-dev Security 2021-01-23 04:09:44 UTC
amd64 done
Comment 11 Sam James archtester gentoo-dev Security 2021-01-23 04:19:57 UTC
x86 done
Comment 12 Sam James archtester gentoo-dev Security 2021-01-23 22:42:08 UTC
sparc done
Comment 13 Sam James archtester gentoo-dev Security 2021-01-23 22:50:24 UTC
arm done
Comment 14 Sam James archtester gentoo-dev Security 2021-01-23 22:51:47 UTC
arm64 done
Comment 15 Sam James archtester gentoo-dev Security 2021-01-24 03:51:51 UTC
ppc done
Comment 16 Sam James archtester gentoo-dev Security 2021-01-24 04:20:12 UTC
ppc64 done
Comment 17 Sam James archtester gentoo-dev Security 2021-01-24 14:44:28 UTC
(Fixed dovecot)
Comment 18 NATTkA bot gentoo-dev 2021-01-26 17:52:50 UTC Comment hidden (obsolete)
Comment 19 NATTkA bot gentoo-dev 2021-01-26 18:04:54 UTC Comment hidden (obsolete)
Comment 20 Sam James archtester gentoo-dev Security 2021-01-27 23:04:07 UTC
ppc64 done
Comment 21 NATTkA bot gentoo-dev 2021-01-28 19:20:50 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2021-02-05 12:36:55 UTC Comment hidden (obsolete)
Comment 23 Marek Szuba gentoo-dev 2021-02-05 13:37:00 UTC
Trimming this down to the packages and arches which still need work. Apologies to anyone who has added themselves explicitly to the Cc list that ends up accidentally removed from it during the clean-up, you are very much welcome to re-add yourself.

Dovecot stabilisation on ppc does not require discussion but there's a big question to the maintainers of Lua, highlight, lutok, dovecot and lighttpd: given S390 profiles are experimental and HPPA stabilisation is now limited to the most important packages only", do you still want these packages to be stabilised on those arches? If not, go ahead and remove your packages from the list (except Lua itself and eselect-lua of course, these will have to wait for the revdeps) - but only having first reverted already-stabilised ebuilds to ~arch, please.
Comment 24 Marek Szuba gentoo-dev 2021-02-05 13:41:49 UTC
Come to think of it, let's handle the dovecot/ppc thing separately.
Comment 25 Rolf Eike Beer 2021-02-07 11:59:29 UTC
I have bug 768048 for hppa, which only affects 5.2. Should I wait until this is fixed or just mask the 5.2 slot?
Comment 26 Marek Szuba gentoo-dev 2021-02-07 20:42:15 UTC
(In reply to Rolf Eike Beer from comment #25)

> I have bug 768048 for hppa, which only affects 5.2. Should I wait until this
> is fixed or just mask the 5.2 slot?

I'd say mask that slot for now.

On an unrelated note, Dovecot/s390 has been taken care of in Bug #763525.
Comment 27 Rolf Eike Beer 2021-02-08 17:04:22 UTC
hppa done for the moment. If 5.2 gets fixed or some new packages come up here add CC back.
Comment 28 Marek Szuba gentoo-dev 2021-02-09 13:51:04 UTC
As discussed on IRC earlier, dev-lang/lua:0 and all its revdeps have been dropped to ~arch on S390. Stabilising slotted Lua on this arch is of course still very much an option should anyone be interested in it but in the meantime, we're done here!